/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "ompl", "index.html", [
    [ "The Open Motion Planning Library", "index.html", null ],
    [ "Acknowledgements", "acknowledgements.html", null ],
    [ "How to Benchmark Planners", "benchmark.html", [
      [ "Writing benchmarking code", "benchmark.html#benchmark_code", null ],
      [ "Processing the benchmarking log file", "benchmark.html#benchmark_log", null ],
      [ "Sample benchmark results", "benchmark.html#benchmark_sample_results", null ],
      [ "The benchmark logfile format", "benchmark.html#benchmark_logfile_format", null ],
      [ "The benchmark database schema", "benchmark.html#benchmark_database", null ]
    ] ],
    [ "Build Options", "buildOptions.html", null ],
    [ "Integrate Your Own Code with OMPL's Build System", "buildSystem.html", null ],
    [ "Citations", "citations.html", null ],
    [ "Constrained Planning", "constrainedPlanning.html", [
      [ "Limitations", "constrainedPlanning.html#autotoc_md0", [
        [ "Contiguous Memory", "constrainedPlanning.html#autotoc_md1", null ],
        [ "Constraint Differentiability", "constrainedPlanning.html#autotoc_md2", null ],
        [ "Required Interpolation", "constrainedPlanning.html#autotoc_md3", null ],
        [ "Interpolation Failures", "constrainedPlanning.html#autotoc_md4", null ],
        [ "Hyperparameter Sensitivity", "constrainedPlanning.html#autotoc_md5", null ]
      ] ],
      [ "Additional Notes", "constrainedPlanning.html#autotoc_md6", [
        [ "Constraint Projection versus Projection Evaluator", "constrainedPlanning.html#autotoc_md7", null ]
      ] ],
      [ "Want to learn more?", "constrainedPlanning.html#autotoc_md8", [
        [ "Tutorials", "constrainedPlanning.html#autotoc_md9", null ],
        [ "Demos", "constrainedPlanning.html#autotoc_md10", null ]
      ] ]
    ] ],
    [ "Constrained Planning Tutorial", "constrainedPlanningTutorial.html", [
      [ "Defining the Constraint", "constrainedPlanningTutorial.html#autotoc_md11", [
        [ "Constraint Jacobian", "constrainedPlanningTutorial.html#autotoc_md12", null ],
        [ "Projection", "constrainedPlanningTutorial.html#autotoc_md13", null ],
        [ "Constraint Parameters", "constrainedPlanningTutorial.html#autotoc_md14", null ]
      ] ],
      [ "Defining the Constrained State Space", "constrainedPlanningTutorial.html#autotoc_md15", [
        [ "Ambient State Space", "constrainedPlanningTutorial.html#autotoc_md16", null ],
        [ "Constraint Instance", "constrainedPlanningTutorial.html#autotoc_md17", null ],
        [ "Constrained State Space", "constrainedPlanningTutorial.html#autotoc_md18", null ]
      ] ],
      [ "Defining a Problem", "constrainedPlanningTutorial.html#autotoc_md19", [
        [ "State Validity Checker", "constrainedPlanningTutorial.html#autotoc_md20", null ],
        [ "Start and Goal", "constrainedPlanningTutorial.html#autotoc_md21", null ],
        [ "Planner", "constrainedPlanningTutorial.html#autotoc_md22", null ]
      ] ],
      [ "Solving a Problem", "constrainedPlanningTutorial.html#autotoc_md23", [
        [ "Interpolation", "constrainedPlanningTutorial.html#autotoc_md24", null ]
      ] ],
      [ "In Summary", "constrainedPlanningTutorial.html#autotoc_md25", null ]
    ] ],
    [ "Submit Your Contribution", "contrib.html", null ],
    [ "Demos", "demos.html", null ],
    [ "Developers", "developers.html", [
      [ "Contributors (in alphabetical order)", "developers.html#autotoc_md26", null ]
    ] ],
    [ "Teaching Module on Motion Planning", "education.html", null ],
    [ "Frequently Asked Questions", "FAQ.html", null ],
    [ "Gallery", "gallery.html", [
      [ "MoveIt", "gallery.html#autotoc_md27", null ],
      [ "Planning with constraints", "gallery.html#autotoc_md28", null ],
      [ "Morse", "gallery.html#autotoc_md29", null ],
      [ "Manipulation Planning", "gallery.html#autotoc_md30", null ],
      [ "ROS-Industrial Consortium", "gallery.html#autotoc_md31", null ],
      [ "Real-time footstep planning for humanoid robots", "gallery.html#autotoc_md32", null ],
      [ "Planning for a Car-Like Vehicle Using ODE", "gallery.html#autotoc_md33", null ],
      [ "Planning Using OMPL.app", "gallery.html#gallery_omplapp", null ],
      [ "Planning for Underactuated Systems in the Presence of Drift", "gallery.html#autotoc_md34", null ],
      [ "Class Project from COMP 450 on Path Optimization", "gallery.html#gallery_comp450", null ]
    ] ],
    [ "Generic Instructions for Setting Up a Planning Context", "genericPlanning.html", [
      [ "Instantiating a state space", "genericPlanning.html#autotoc_md35", null ],
      [ "Instantiating a control space", "genericPlanning.html#autotoc_md36", null ],
      [ "Instantiating a space information class", "genericPlanning.html#autotoc_md37", null ],
      [ "Instantiating a problem definition", "genericPlanning.html#autotoc_md38", null ],
      [ "Instantiating a planner", "genericPlanning.html#autotoc_md39", [
        [ "Using SimpleSetup", "genericPlanning.html#autotoc_md40", null ]
      ] ]
    ] ],
    [ "Geometric Planning for a Rigid Body in 3D", "geometricPlanningSE3.html", [
      [ "Using the ompl::geometric::SimpleSetup Class", "geometricPlanningSE3.html#geometricSimpleSetup", null ],
      [ "Without ompl::geometric::SimpleSetup", "geometricPlanningSE3.html#withoutGeometricSimpleSetup", null ]
    ] ],
    [ "Representing Goals in OMPL", "goalRepresentation.html", [
      [ "Setting the Goal", "goalRepresentation.html#autotoc_md41", null ],
      [ "Using the Goal Region", "goalRepresentation.html#autotoc_md42", null ]
    ] ],
    [ "Implementing State Spaces", "implementingStateSpaces.html", [
      [ "Combining existing state spaces", "implementingStateSpaces.html#autotoc_md43", null ],
      [ "Inheriting from existing state spaces", "implementingStateSpaces.html#autotoc_md44", null ],
      [ "Inheriting from ompl::base::CompoundStateSpace", "implementingStateSpaces.html#autotoc_md45", null ]
    ] ],
    [ "Installation", "installation.html", null ],
    [ "Installation of Py++", "installPyPlusPlus.html", [
      [ "Ubuntu", "installPyPlusPlus.html#autotoc_md46", null ],
      [ "macOS", "installPyPlusPlus.html#autotoc_md47", null ]
    ] ],
    [ "Integration of OMPL in Other Systems", "integration.html", [
      [ "MoveIt", "integration.html#integration_moveit", null ],
      [ "OpenRAVE", "integration.html#integration_openrave", null ],
      [ "CoppeliaSim", "integration.html#integration_copelliasim", null ],
      [ "MORSE", "integration.html#integration_morse", null ],
      [ "The Kautham Project", "integration.html#integration_kautham", null ],
      [ "VEROSIM", "integration.html#integration_verosim", null ],
      [ "AIKIDO", "integration.html#integration_aikido", null ],
      [ "EXOTica", "integration.html#integration_exotica", null ],
      [ "Robotics Library", "integration.html#integration_rl", null ],
      [ "SIMS", "integration.html#integration_sims", null ],
      [ "OMPL.app", "integration.html#integration_omplapp", null ]
    ] ],
    [ "License", "license.html", null ],
    [ "Mailing Lists", "mailingLists.html", null ],
    [ "Using OMPL with Morse", "morse.html", [
      [ "Installation", "morse.html#morseInstallation", null ],
      [ "Quick Start", "morse.html#morseQuickstart", null ],
      [ "Setting up an environment", "morse.html#morseSettingUpAnEnvironment", null ],
      [ "Adding robot(s)", "morse.html#morseAddingRobots", null ],
      [ "Defining the goal", "morse.html#morseGoal", null ],
      [ "Bounds configuration and planning", "morse.html#morsePlanning", null ],
      [ "Playback and animation saving", "morse.html#morsePlayback", null ],
      [ "Rendering animation videos", "morse.html#morseRendering", null ],
      [ "Advanced tweaks", "morse.html#morseAdvancedTweaks", null ]
    ] ],
    [ "Multilevel Planning Framework", "multiLevelPlanning.html", [
      [ "High-level introduction", "multiLevelPlanning.html#autotoc_md48", null ],
      [ "Why Use Multilevel Planning", "multiLevelPlanning.html#autotoc_md49", null ],
      [ "100-dimensional Hypercube Benchmark", "multiLevelPlanning.html#autotoc_md50", null ],
      [ "Want to learn more?", "multiLevelPlanning.html#autotoc_md51", [
        [ "Tutorials", "multiLevelPlanning.html#autotoc_md52", null ],
        [ "Demos", "multiLevelPlanning.html#autotoc_md53", null ],
        [ "Papers", "multiLevelPlanning.html#autotoc_md54", null ]
      ] ]
    ] ],
    [ "Multilevel Planning Tutorial", "multiLevelPlanningTutorial.html", null ],
    [ "Implementing a New Motion Planner", "newPlanner.html", [
      [ "Strict Requirements", "newPlanner.html#autotoc_md60", null ],
      [ "Optional Features", "newPlanner.html#autotoc_md61", null ],
      [ "New Planner Template", "newPlanner.html#autotoc_md62", null ]
    ] ],
    [ "Using the ODESolver for Planning with Controls", "odeint.html", [
      [ "A Bit of Theory", "odeint.html#autotoc_md63", null ],
      [ "Using OMPL's ODESolver", "odeint.html#autotoc_md64", [
        [ "Define the ODE", "odeint.html#autotoc_md65", null ],
        [ "A Basic Example", "odeint.html#autotoc_md66", null ],
        [ "Selecting an ODESolver", "odeint.html#autotoc_md67", null ]
      ] ]
    ] ],
    [ "Optimal Planning", "optimalPlanning.html", [
      [ "Optimization Objectives", "optimalPlanning.html#autotoc_md68", null ],
      [ "Limitations", "optimalPlanning.html#autotoc_md69", null ],
      [ "Want to learn more?", "optimalPlanning.html#autotoc_md70", null ]
    ] ],
    [ "Optimal Planning Tutorial", "optimalPlanningTutorial.html", [
      [ "Finding a shortest path", "optimalPlanningTutorial.html#autotoc_md71", null ],
      [ "Specifying an optimality threshold", "optimalPlanningTutorial.html#autotoc_md72", null ]
    ] ],
    [ "Optimization Objectives Tutorial", "optimizationObjectivesTutorial.html", [
      [ "Specifying a new objective (part 1): path clearance", "optimizationObjectivesTutorial.html#autotoc_md73", null ],
      [ "Multiobjective optimal planning", "optimizationObjectivesTutorial.html#autotoc_md74", null ],
      [ "Specifying a new objective (part 2): maximize minimum clearance", "optimizationObjectivesTutorial.html#autotoc_md75", null ],
      [ "Cost Heuristics", "optimizationObjectivesTutorial.html#autotoc_md76", [
        [ "Admissible heuristics", "optimizationObjectivesTutorial.html#autotoc_md77", null ],
        [ "Motion cost heuristics", "optimizationObjectivesTutorial.html#autotoc_md78", null ],
        [ "Cost-to-go heuristics", "optimizationObjectivesTutorial.html#autotoc_md79", null ]
      ] ]
    ] ],
    [ "Path Visualization", "pathVisualization.html", null ],
    [ "OMPL Planner Arena", "plannerarena.html", [
      [ "Dependencies", "plannerarena.html#autotoc_md80", null ],
      [ "Running", "plannerarena.html#autotoc_md81", null ],
      [ "Docker", "plannerarena.html#autotoc_md82", null ]
    ] ],
    [ "Available Planners", "planners.html", [
      [ "Geometric planners", "planners.html#geometric_planners", [
        [ "Other tools:", "planners.html#autotoc_md83", null ]
      ] ],
      [ "Control-based planners", "planners.html#control_planners", null ],
      [ "Multilevel-based planners", "planners.html#multilevel_planners", null ]
    ] ],
    [ "Planner Termination Conditions", "plannerTerminationConditions.html", null ],
    [ "Use of Projections in OMPL", "projections.html", null ],
    [ "Creating Python Bindings for a New Planner", "pybindingsPlanner.html", [
      [ "Updating the Python binding generation code", "pybindingsPlanner.html#pybinding", null ],
      [ "Planner parameters", "pybindingsPlanner.html#params", null ]
    ] ],
    [ "Python Bindings", "python.html", [
      [ "Usage of the Python bindings: Good practices", "python.html#py_good_practices", null ],
      [ "Important differences between C++ and Python", "python.html#cpp_py_diffs", null ],
      [ "Differences between the C++ and Python API's", "python.html#py_api_diffs", null ],
      [ "A simple example", "python.html#py_example", null ],
      [ "Creating std::function objects from Python functions", "python.html#pyfunction_to_stdfunction", [
        [ "(Re)generating the Python bindings", "python.html#updating_python_bindings", [
          [ "Code generation", "python.html#binding_code_generation", null ]
        ] ],
        [ "Compiling the Python modules", "python.html#compile_bindings", [
          [ "Forcing CMake to do The Right Thing", "python.html#bindings_cmake", null ]
        ] ]
      ] ]
    ] ],
    [ "Registration", "register.html", null ],
    [ "Release Notes", "releaseNotes.html", [
      [ "OMPL 1.6.0 (January 11, 2023)", "releaseNotes.html#autotoc_md84", null ],
      [ "OMPL 1.5.2 (January 31, 2021)", "releaseNotes.html#autotoc_md85", null ],
      [ "OMPL 1.5.1 (November 25, 2020)", "releaseNotes.html#autotoc_md86", null ],
      [ "OMPL 1.5.0 (June 2, 2020)", "releaseNotes.html#autotoc_md87", null ],
      [ "OMPL 1.4.2 (January 18, 2019)", "releaseNotes.html#autotoc_md88", null ],
      [ "OMPL 1.4.1 (December 5, 2018)", "releaseNotes.html#autotoc_md89", null ],
      [ "OMPL 1.4.0 (June 25, 2018)", "releaseNotes.html#autotoc_md90", null ],
      [ "OMPL 1.3.2 (November 11, 2017)", "releaseNotes.html#autotoc_md91", null ],
      [ "OMPL 1.3.1 (May 18, 2017)", "releaseNotes.html#autotoc_md92", null ],
      [ "OMPL 1.3.0 (March 1, 2017)", "releaseNotes.html#autotoc_md93", null ],
      [ "OMPL 1.2.1 (July 1, 2016)", "releaseNotes.html#autotoc_md94", null ],
      [ "OMPL 1.2.0 (June 20, 2016)", "releaseNotes.html#autotoc_md95", null ],
      [ "OMPL 1.1.0 (October 28, 2015)", "releaseNotes.html#autotoc_md96", null ],
      [ "OMPL 1.0.0 (October 26, 2014)", "releaseNotes.html#autotoc_md97", null ],
      [ "OMPL 0.14.2 (May 23, 2014)", "releaseNotes.html#autotoc_md98", null ],
      [ "OMPL 0.14.1 (January 23, 2014)", "releaseNotes.html#autotoc_md99", null ],
      [ "OMPL 0.14.0 (December 20, 2013)", "releaseNotes.html#autotoc_md100", null ],
      [ "OMPL 0.13.0 (August 5, 2013)", "releaseNotes.html#autotoc_md101", null ],
      [ "OMPL 0.12.2 (January 22, 2013)", "releaseNotes.html#autotoc_md102", null ],
      [ "OMPL 0.12.1 (12/12/12)", "releaseNotes.html#autotoc_md103", null ],
      [ "OMPL 0.12.0 (November 20, 2012)", "releaseNotes.html#autotoc_md104", null ],
      [ "OMPL 0.11.1 (July 26, 2012)", "releaseNotes.html#autotoc_md105", null ],
      [ "OMPL 0.11.0 (June 30, 2012)", "releaseNotes.html#autotoc_md106", null ],
      [ "OMPL 0.10.2 (March 21, 2012)", "releaseNotes.html#autotoc_md107", null ],
      [ "OMPL 0.10.1 (February 27, 2012)", "releaseNotes.html#autotoc_md108", null ],
      [ "OMPL 0.10.0 (February 16, 2012)", "releaseNotes.html#autotoc_md109", null ],
      [ "OMPL 0.9.5 (October 4, 2011)", "releaseNotes.html#autotoc_md110", null ],
      [ "OMPL 0.9.4 (August 16, 2011)", "releaseNotes.html#autotoc_md111", null ],
      [ "OMPL 0.9.3 (May 2, 2011)", "releaseNotes.html#autotoc_md112", null ],
      [ "OMPL 0.9.2 (February 21, 2011)", "releaseNotes.html#autotoc_md113", null ],
      [ "OMPL 0.9.1 (December 17, 2010)", "releaseNotes.html#autotoc_md114", null ],
      [ "OMPL 0.9.0 (December 15, 2010; initial release)", "releaseNotes.html#autotoc_md115", null ]
    ] ],
    [ "Available State Samplers", "samplers.html", [
      [ "Using an Existing Sampler", "samplers.html#autotoc_md116", null ],
      [ "Creating a New Valid State Sampler", "samplers.html#autotoc_md117", null ]
    ] ],
    [ "Available Spaces", "spaces.html", [
      [ "State Spaces", "spaces.html#autotoc_md118", null ],
      [ "Control Spaces", "spaces.html#autotoc_md119", null ]
    ] ],
    [ "State Validity Checking", "stateValidation.html", null ],
    [ "OMPL Style Guide", "styleGuide.html", [
      [ "Spacing", "styleGuide.html#autotoc_md120", null ],
      [ "Filenames & Macros", "styleGuide.html#autotoc_md121", null ],
      [ "Functions & Classes", "styleGuide.html#autotoc_md122", null ],
      [ "Other Coding Guidelines", "styleGuide.html#autotoc_md123", null ],
      [ "Automatic Code Formatting", "styleGuide.html#autotoc_md124", [
        [ "Setup", "styleGuide.html#autotoc_md125", null ],
        [ "Usage", "styleGuide.html#autotoc_md126", [
          [ "Command Line", "styleGuide.html#autotoc_md127", null ],
          [ "Emacs Editor Configuration", "styleGuide.html#autotoc_md128", null ],
          [ "Atom Editor Configuration", "styleGuide.html#autotoc_md129", null ],
          [ "Other Editors", "styleGuide.html#autotoc_md130", null ]
        ] ]
      ] ]
    ] ],
    [ "Get Support", "support.html", [
      [ "Troubleshooting Information", "support.html#autotoc_md131", null ],
      [ "Contact form", "support.html#autotoc_md132", null ]
    ] ],
    [ "Thank you", "thank-you.html", null ],
    [ "Contributions", "thirdparty.html", [
      [ "CForest (Coupled Forest of Random Engrafting Search Trees)", "thirdparty.html#autotoc_md134", [
        [ "Author: Javier V Gomez (Universidad Carlos III de Madrid)", "thirdparty.html#autotoc_md135", null ]
      ] ],
      [ "Fast Marching Tree algorithm (FMT∗)", "thirdparty.html#autotoc_md136", [
        [ "Authors: Ashley Clark and Wolfgang Pointner (Stanford University)", "thirdparty.html#autotoc_md137", null ]
      ] ],
      [ "Bidirectional Fast Marching Tree algorithm (BFMT∗)", "thirdparty.html#autotoc_md138", [
        [ "Authors: Joseph Starek (Stanford University) and Javier V Gomez (Universidad Carlos III de Madrid)", "thirdparty.html#autotoc_md139", null ]
      ] ],
      [ "Generalized Optimal Path Planning Framework", "thirdparty.html#autotoc_md140", [
        [ "Author: Luis Torres (University of North Carolina at Chapel Hill)", "thirdparty.html#autotoc_md141", null ]
      ] ],
      [ "LBT-RRT implementation", "thirdparty.html#autotoc_md142", [
        [ "Author: Oren Salzman (Tel Aviv University)", "thirdparty.html#autotoc_md143", null ]
      ] ],
      [ "SPARS and SPARS2 implementations", "thirdparty.html#autotoc_md144", [
        [ "Author: Andrew Dobson (Rutgers University)", "thirdparty.html#autotoc_md145", null ]
      ] ],
      [ "T-RRT implementation", "thirdparty.html#autotoc_md146", [
        [ "Author: Dave Coleman (University of Colorado Boulder)", "thirdparty.html#autotoc_md147", null ]
      ] ],
      [ "ROS interface to OMPL", "thirdparty.html#autotoc_md148", [
        [ "Authors: Ioan Sucan and Sachin Chitta (Willow Garage)", "thirdparty.html#autotoc_md149", null ]
      ] ],
      [ "RRT* and extensions", "thirdparty.html#autotoc_md150", [
        [ "Authors: Alejandro Perez and Sertac Karaman (MIT)", "thirdparty.html#autotoc_md151", null ]
      ] ],
      [ "PRM extensions", "thirdparty.html#autotoc_md152", [
        [ "Author: James Marble (University of Nevada at Reno)", "thirdparty.html#autotoc_md153", null ]
      ] ],
      [ "RRT extension for planning with controls", "thirdparty.html#autotoc_md154", [
        [ "Author: Jennifer Barry (MIT)", "thirdparty.html#autotoc_md155", null ]
      ] ],
      [ "MultiLevel planning extension", "thirdparty.html#autotoc_md156", [
        [ "Author: Andreas Orthey (MPI-IS)", "thirdparty.html#autotoc_md157", null ]
      ] ]
    ] ],
    [ "Tutorials", "tutorials.html", [
      [ "Beginner", "tutorials.html#autotoc_md158", null ],
      [ "Intermediate", "tutorials.html#autotoc_md159", null ],
      [ "Advanced", "tutorials.html#autotoc_md160", null ]
    ] ],
    [ "Working with States and State Spaces", "workingWithStates.html", [
      [ "Allocating memory for states", "workingWithStates.html#stateAlloc", [
        [ "The simple version", "workingWithStates.html#autotoc_md161", null ],
        [ "The expert version", "workingWithStates.html#autotoc_md162", null ]
      ] ],
      [ "Working with states", "workingWithStates.html#stateOps", [
        [ "Simple version", "workingWithStates.html#autotoc_md163", null ]
      ] ],
      [ "Expert version", "workingWithStates.html#autotoc_md164", null ],
      [ "Operators for States and State Spaces", "workingWithStates.html#stateAndSpaceOperatorsCopy", null ]
    ] ],
    [ "API Overview", "api_overview.html", [
      [ "Doxygen-generated documentation", "api_overview.html#autotoc_md171", null ],
      [ "Thread safety", "api_overview.html#autotoc_md172", null ],
      [ "Memory management", "api_overview.html#autotoc_md173", null ]
    ] ],
    [ "CForest Parallelization Framework", "CForest.html", [
      [ "CForest in OMPL", "CForest.html#cf_ompl", null ],
      [ "Main differences with the paper version", "CForest.html#cf_diff", null ],
      [ "Example", "CForest.html#cf_example", null ],
      [ "Results", "CForest.html#cf_results", null ],
      [ "Advanced information", "CForest.html#cf_advanced", [
        [ "Design and implementation details", "CForest.html#cf_implementation", null ],
        [ "Limitations", "CForest.html#cf_limitations", null ],
        [ "Make your planner CForest-compatible", "CForest.html#cf_compatible", [
          [ "CForest activation and configuration", "CForest.html#autotoc_md174", null ]
        ] ],
        [ "Path sharing", "CForest.html#autotoc_md175", [
          [ "Tree pruning", "CForest.html#autotoc_md176", null ]
        ] ]
      ] ]
    ] ],
    [ "Download", "download.html", [
      [ "Releases", "download.html#autotoc_md177", null ],
      [ "Repository", "download.html#download_repos", null ],
      [ "OMPL in ROS", "download.html#autotoc_md178", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"ABITstar_8cpp_source.html",
"MaximizeMinClearanceObjective_8h_source.html",
"SelfConfig_8h_source.html",
"classompl_1_1FLANNDistance.html",
"classompl_1_1NearestNeighborsFLANN.html#a8744517fb9f49287501de1e29dce0151",
"classompl_1_1NearestNeighborsSqrtApprox.html#a1d455125a27e9e8f83ea89490c1e6afb",
"classompl_1_1base_1_1AtlasStateSpace.html#a29c6f5739a8b885b64d8ffea760dbf90",
"classompl_1_1base_1_1CompoundStateSpace.html#a332b23e17e7145d92dce19c6f58a11f9",
"classompl_1_1base_1_1DiscreteMotionValidator.html#a206557c0c0bf3b3751ee09c1184f4b7b",
"classompl_1_1base_1_1GoalLazySamples.html#af913f060090e17115082b6a44afb5165",
"classompl_1_1base_1_1MinimumClearanceValidStateSampler.html",
"classompl_1_1base_1_1OptimizationObjective.html#ab3633ee95b256881190229fea48ef135",
"classompl_1_1base_1_1PlannerData.html#a7e1f2a259a8861ee5a88e51cc52f69e5",
"classompl_1_1base_1_1ProblemDefinition.html#a6fbde11d924b80b229188e93869534ee",
"classompl_1_1base_1_1RealVectorOrthogonalProjectionEvaluator.html#a0d7d60d956eca6610bb8102164ec502a",
"classompl_1_1base_1_1SO2StateSampler.html",
"classompl_1_1base_1_1SpaceInformation.html#a987c98be4b4b12f506563c12a7385376",
"classompl_1_1base_1_1StateSpace.html#a64feddc33bb3b7459c4f589e6cd9d17ea0134f2a38473e775c3037fde1c336d3f",
"classompl_1_1base_1_1StateValidityChecker.html#affaa42c73a10c007270d643a5ad8d361",
"classompl_1_1base_1_1WrapperStateSampler.html#a21b5c778e2ffc9058a0f8fc48fb95881",
"classompl_1_1control_1_1ControlSampler.html#a77d53f1753437f4e0e5b99b0e5480389",
"classompl_1_1control_1_1GridDecomposition.html#aee69579ddd14816326a89553c51f243a",
"classompl_1_1control_1_1OpenDEControlSpace.html",
"classompl_1_1control_1_1PathControl.html#ad8078ff0543cfed88b7ab83e51b96118",
"classompl_1_1control_1_1RealVectorControlSpace.html#ae4b3ac579aab36cbd2e83346ea0a231f",
"classompl_1_1control_1_1SpaceInformation.html#a96c60c537243c7fd1ac99a35ef3b8d48",
"classompl_1_1control_1_1World.html#a4fff35692311bf030af2fdd52132c2f5",
"classompl_1_1geometric_1_1BFMT.html#abd929dacbd80e9a220f81316f94614d4",
"classompl_1_1geometric_1_1BITstar_1_1CostHelper.html#a7a4cf656dfd603fe43853d77987da663",
"classompl_1_1geometric_1_1BITstar_1_1Vertex.html#a382fd4aebfbbd0f5c02a844f6d971f57",
"classompl_1_1geometric_1_1BiTRRT.html#a161724203e2d0ef60e38fe4237835ac4",
"classompl_1_1geometric_1_1FMT.html#a3005a2f74ee6f5aee29a4af9547359a4",
"classompl_1_1geometric_1_1KPIECE1.html#af35630c62772c43535d8cdb6f6d87b55",
"classompl_1_1geometric_1_1LazyPRM.html#a1765a9b7fcd212255dee4c1d19ad6e68",
"classompl_1_1geometric_1_1PRM.html",
"classompl_1_1geometric_1_1PathSimplifier.html#ac47ae860e9725be8d187261bcf1673a8",
"classompl_1_1geometric_1_1RRTXstatic.html#a3adc3b540a0edacc70336953dab3fb8c",
"classompl_1_1geometric_1_1RRTstar.html#acbf2db73ad9519e11e83a582a10fc844",
"classompl_1_1geometric_1_1SPARS.html#aabce7ea56478eddefd9e3d6255362d5a",
"classompl_1_1geometric_1_1SPARSdb.html#accb07a02117d61db2d4cf92857e5f21d",
"classompl_1_1geometric_1_1SPARStwo.html#af97de154be5aa7aebfe443ab369b5ff6",
"classompl_1_1geometric_1_1STRRTstar.html#a72dd173b861f3062ddd0c8fdbf2903bd",
"classompl_1_1geometric_1_1TRRT_1_1Motion.html#a51193986d21f3cbb4e356e143c7e4100",
"classompl_1_1geometric_1_1aitstar_1_1Edge.html#a3faa9b4f6540fc9a1628ae705257979c",
"classompl_1_1multilevel_1_1BundleSpace.html#afed3a77b33d3e6d24016f06b0b577feb",
"classompl_1_1multilevel_1_1PathRestriction.html#a1047958ddc34a87a85329f9bbd4f44bf",
"classompl_1_1tools_1_1Benchmark.html#a23533c490c5ae9617b9aeff21cb3929f",
"classompl_1_1tools_1_1PlannerMonitor.html#aa0e38218efc49f9f78ee10974c0bd919",
"dir_2fe756ca90083a277aa0ca2a35379083.html",
"group__stateAndSpaceOperators.html#ga16229a85742bb392d45ea9fdc49d7434",
"plotNonconservative_8py_source.html",
"structompl_1_1control_1_1KPIECE1_1_1CellData.html#a2268bd51da33b58a6c662b0556dcca00",
"structompl_1_1geometric_1_1RRTXstatic_1_1MotionCompare.html#a5c9d024ca57899b9082fe66f65168a51"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';